Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08249 Graphics Major Always Mar 14, 2022, 16:59 Mar 15, 2022, 19:42
Tester Cow View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver msx.cpp
Version 0.241 Fixed in Version 0.242 Build 64-bit
Fixed in Git Commit a671ee0 Github Pull Request #
Summary MESS-specific 08249: mx10, pv7, pv16, cpc50a, cpc50b, cpc51 [gradius2]: Corrupt Graphics make some games unplayable
Description Glitchy or missing graphics makes example game Gradius 2 unplayable. Other games are more than likely unplayable but no one has the time to go through every single MSX1 game.
Steps To Reproduce Boot up a game.
Additional Information
Github Commit
Flags
Regression Version 0.201
Affected Sets / Systems mx10, pv7, pv16, cpc50a, cpc50b, cpc51 [gradius2]
Attached Files
mp4 file icon Mame 2022.03.14 - 11.57.07.01.mp4 (793,369 bytes) Mar 14, 2022, 16:59 Uploaded by Cow
Example
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.19905
Tafoid
Administrator
Mar 14, 2022, 18:01
Please state exactly what software list entry you are using and the exact command-line you are using to start it.
I'm sure there are some games which require machines with additional ram esp if additional sound devices may be used (moonsound, etc).
User avatar
No.19906
Cow
Tester
Mar 14, 2022, 18:11
From command line: mame pv7 gradius2
User avatar
No.19907
Cow
Tester
Mar 14, 2022, 18:11
Software list/item
msx1_cart:gradius2
User avatar
No.19908
Tafoid
Administrator
Mar 14, 2022, 18:42
edited on: Mar 14, 2022, 18:42
It appears to be a regression at first glance, but I'll do some research.
You can use an msx2 machine (example: canonv30) and it appears to run correctly.
User avatar
No.19909
Tafoid
Administrator
Mar 14, 2022, 19:07
Have determined a version and even a day of regression - pointing to v99xx video configuration changes.

August 21, 2018
https://github.com/mamedev/mame/commit/71da8e2ae2521d4c895520c85e45e3ccfdb56e30
User avatar
No.19910
Tafoid
Administrator
Mar 15, 2022, 01:46
Fairly certain it can be fixed. I'll look into it tomorrow.
User avatar
No.19915
Tafoid
Administrator
Mar 15, 2022, 19:42
I also used "zanac2" as a test cartridge to check if the machine's VDP was valid or not and fixed them per results.